Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 72172 - dev-java/sun-jdk Plugin Arbitrary Package Access Vulnerability - <=J2SE 1.4.2_04
Summary: dev-java/sun-jdk Plugin Arbitrary Package Access Vulnerability - <=J2SE 1.4.2_04
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL: http://www.idefense.com/application/p...
Whiteboard: A2 [glsa] koon
Keywords:
Depends on: 72221
Blocks:
  Show dependency tree
 
Reported: 2004-11-22 19:04 UTC by Kevin Stadmeyer
Modified: 2004-11-29 13:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Stadmeyer 2004-11-22 19:04:43 UTC
Sun Java Plugin Arbitrary Package Access Vulnerability

iDEFENSE Security Advisory 11.22.04
www.idefense.com/application/poi/display?id=158&type=vulnerabilities
November 22, 2004

I. BACKGROUND

Java Plug-in technology, included as part of the Java 2 Runtime
Environment, Standard Edition (JRE), establishes a connection between
popular browsers and the Java platform. This connection enables applets
on Web sites to be run within a browser on the desktop. More information
about Java Plug-in technology is available from
http://java.sun.com/products/plugin/.

II. DESCRIPTION

Remote exploitation of a design vulnerability in Sun Microsystems Inc.'s
Java Plug-in technology allows attackers to bypass the Java sandbox and
all security restrictions imposed within Java Applets.

A number of private Java packages exist within the Java Virtual Machine
(VM) and are used internally by the VM. Security restrictions prevent
Applets from accessing these packages. Any attempt to access these
packages, results in a thrown exception of 'AccessControlException',
unless the Applet is signed and the user has chosen to trust the issuer.

The problem specifically exists within the access controls of the Java
to Javascript data exchange in web browsers using Sun's Java Plug-in
technology. The vulnerability allows Javascript code to load an unsafe
class which should not normally be possible from a Java Applet.

III. ANALYSIS

Successful exploitation allows remote attackers to execute hostile
Applets that can access, download, upload or execute arbitrary files as
well as access the network. A target user must be running a browser on
top of a vulnerable Java Virtual Machine to be affected. It is possible
for an attacker to create a cross-platform, cross-browser exploit for
this vulnerability. Once compromised, an attacker can execute arbitrary
code under the privileges of the user who instantiated the vulnerable
browser.

IV. DETECTION

iDEFENSE has confirmed the existence of this vulnerability in Java 2
Platform, Standard Edition (J2SE) 1.4.2_01 and 1.4.2_04 from Sun
Microsystems. It is suspected that earlier versions are vulnerable as
well. Various browsers such as Internet Explorer, Mozilla and Firefox on
both Windows and Unix platforms can be exploited if they are running a
vulnerable Java Virtual Machine.

V. WORKAROUND

Disabling Java or JavaScript will prevent exploitation as the
vulnerability relies on the data transfer between the two components.
Other Java Virtual Machines, such as the Microsoft VM, are available and
can be used as an alternative.

VI. VENDOR RESPONSE

This issue has been fixed in J2SE v 1.4.2_06 available at:

   http://java.sun.com/j2se/1.4.2/download.html

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
name CAN-2004-1029 to this issue. This is a candidate for inclusion in
the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

06/29/2004   Initial vendor notification
06/30/2004   Initial vendor response
08/16/2004   iDEFENSE clients notified
11/22/2004   Public disclosure

IX. CREDIT

Jouko Pynnonen (jouko[at]iki.fi) is credited with this discovery.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

X. LEGAL NOTICES

Copyright (c) 2004 iDEFENSE, Inc.

Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDEFENSE. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically, please
email customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information. Use
of the information constitutes acceptance for use in an AS IS condition.
There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct, indirect,
or consequential loss or damage arising from use of, or reliance on,
this information.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




1.4.2_06 is the earliest version of the j2se that is free of this vulnerability,
please bump the package to this version.
Comment 1 Sune Kloppenborg Jeppesen gentoo-dev 2004-11-22 23:11:31 UTC
Java please confirm/debunk this one.
Comment 2 Thomas Matthijs (RETIRED) gentoo-dev 2004-11-24 12:37:28 UTC
sun-jdk/jre is at 1.4.2_06
Comment 3 Sune Kloppenborg Jeppesen gentoo-dev 2004-11-24 23:32:13 UTC
RCE seems to be possible upgrading severity.
Comment 4 Sune Kloppenborg Jeppesen gentoo-dev 2004-11-25 01:52:16 UTC
Proposing combined GLSA with Blackdown bug #72221.
Comment 5 Thierry Carrez (RETIRED) gentoo-dev 2004-11-25 01:56:39 UTC
Adjusting severity code :
  Sun JDK is quite used = A
  Passive compromise (needs defender to download untrusted applet) = 2

On combined GLSA idea :
Depends on whether we get a stable mark there fast enough, but good idea
Comment 6 Thierry Carrez (RETIRED) gentoo-dev 2004-11-26 13:59:31 UTC
GLSA drafted, still waiting on blackdown stable
Comment 7 Thierry Carrez (RETIRED) gentoo-dev 2004-11-29 13:55:26 UTC
GLSA 200411-38